Vdc=5200;
f_sw=2500;
Omega_sw=2*pi*f_sw;
Vn=3300;
Pn=3*3.6*10^6;
Vph=Vn/sqrt(3);
ripple_i=(0.1*Pn*sqrt(2))/(3*Vph);
Linv=Vdc/(16*f_sw*ripple_i)
Linv_pu=Linv/Lb
Vb=(Vn/sqrt(3))*sqrt(2)
Ib=(2/3)*(Pn/Vb)
Zb=Vb/Ib;
Rpu=0.02;
Lpu=0.1;
omega_b=2*pi*50;
Lb=Zb/omega_b;
Cb=1/(Zb*omega_b);
x=0.05;
C=(x*Cb)
% C=2*C;
Ka=0.2;
Lg=sqrt((1/Ka^2)+1)/(C*Omega_sw^2)
Lg_pu=Lg/Lb
l=0.02
Lgg_pu=Lg_pu-l
Lgg=Lgg_pu*Lb
Wres=sqrt((Linv+Lg)/(Linv*Lg*C))
fres=Wres/(2*pi)
if fres<(0.5*f_sw)
    if fres>500
        t=3;
        Rd=1/(t*Wres*C)
    end
end  
LCL=tf(1,[Linv*Lg*C 0 (Linv+Lg) 0])
LCL_D=tf([C*Rd 1],[Linv*Lg*C C*Rd*(Linv+Lg) (Linv+Lg) 0])
bode(LCL)%,%LCL_D)
set(gca,'FontSize', 20)
xlim([1 10^6])
grid on